<!DOCTYPE html>
<html>

<head>
    <!-- Vue map implementation with leaflet library-->
    <!-- https://travishorn.com/interactive-maps-with-vue-leaflet-5430527353c8 -->

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>dettagli</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="./style.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>

    <!-- access to database via REST-->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>

    <!--maps support-->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.2.0/dist/leaflet.css">

    <!-- SVILUPPO-->
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12/dist/vue.js"></script>
    <!--PRODUZIONE -->
    <!-- <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script> -->
    <script src="https://unpkg.com/leaflet@1.2.0/dist/leaflet.js"></script>

    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.18.0/axios.js"></script> -->
    <!-- <script src="https://unpkg.com/vue"></script>  -->

    <!-- <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script> -->
    <!-- <script src="./myvue.js"></script>  -->

    <!--- form validation-->
</head>

<body>
    <!-- Carusel con una slide -->
    <div id="carouselExampleSlidesOnly" class="carousel slide" data-ride="carousel">
        <div class="carousel-inner">
        <div class="carousel-item active">
            <img class="d-block w-100" src="./img/a4f_banner_400.jpg" alt="banner">
        </div>
        <!-- <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Second slide">
        </div>
        <div class="carousel-item">
            <img class="d-block w-100" src="..." alt="Third slide">
        </div> -->
        </div>
    </div>
    <!--banner-->
    <div id="banner" class="bg-5 container-fluid">app4food un pasto ed un incontro</h2>
	</div>
    
        <!-- the function buttons layer here-->
        <div class="container-fluid text-center">
            <a class="btn btn-info btn-lg btn-block" href="./index.html" role="button">mappa</a>

            <!-- <div id="buttons" class="btn-group " role="group" aria-label="Basic example"> 
            <a class="btn btn-info" href="./index.html" role="button"> mappa</a> 
            <a class="btn btn-info" href="./form.html" role="button">inserisci</a>
            </div> -->

        </div>
   


    <div id="app" class="container-fluid">
        <!--for testing -->
        <!--
        <div class="container">
            <button @click="loadDataTest">Simula caricamento dati</button>
            <h3> Da db</h3>
            <div v-for="l in layers" v-bind:key="l.id">
                <div v-for="riv in l.features" v-bind:key="riv.id">
                    {{riv.name}} {{riv.latitude}}, {{riv.longitude}}, {{riv.coords}}, {{riv.type}}<br>
                </div>
            </div>

        </div>
        -->
        
        <!--test-->
       <!-- <div>
            {{postBody.name}} {{postBody.latitude}} {{postBody.longitude} {{postBody.note}} {{postBody.need}} {{postBody.place}}} <br>
        </div> -->
        <!-- form -->
        <div>
			<h4>Infomazioni personali</h4>
            <div id="alert" class="alert alert-success" role="alert">  <b> {{status_delete.message }}</b></div>

           
            <div id="buttons" class="btn-group " role="group" aria-label="Basic example"> 
                <!-- <a class="btn btn-success" href="./index.html" role="button">Cerca</a> -->
                <!-- <a class="btn btn-info disabled" href="./map.html" role="button"> mappa</a> -->

                <!-- Da provare:
                <a href="2.html" onclick="location.href=this.href+'?key='+scrt_var;return false;">Link</a>
                -->
                <a v-if="is_deleted === 'false'" class="btn btn-secondary " :href="'./update.html?id='+ value_id" role="button">modifica</a>
                <a v-else class="btn btn-secondary" href="./form.html" role="button">inserisci</a>
                <!-- further develop: include update function in this page-->
                <!-- <a class="btn btn-secondary" href='#' @click="updateDetails" role="button">modifica</a> -->

                <a class="btn btn-danger" href="#" @click="deleteDetails" role="button">cancella</a>
    
                <!-- <a class="btn btn-info" href="./crea.html" role="button">info</a> --> 
                </div>
           <!--Logs-->
        
			<!-- table of details  -->
            <table class="table" v-if="is_deleted === 'false'">
                    <tr><th >Nome</th><td>{{status.name}}</td></tr>
                    <tr><th >luogo</th><td>{{status.place}}</td></tr>
                    <tr><th >bisogno</th><td>{{status.need}}</td></tr>
                    <tr><th >Note</th><td>{{status.note}}</td></tr>
                    <tr><th ><article type="button" class="btn btn-info btn-sm" @click="initMap()">posizione</button></th><td>{{status.latitude}}, {{status.longitude}}</td></tr>

            </table> 

        </div>
        <div id="map" class="map"></div>
    </div>

    <script>
        const staticData = {
                        "records": [
                            {
                            "id": "1",
                            "name": "pippo",
                            "note": "Ha bisogno di coperte ed è diabetico.",
                            "latitude": "44.4975",
                            "longitude": "11.3419",
                            "type": "marker",
                            "created": "2021-04-11 12:39:39",
                            "modified": "2021-04-15 14:27:45",
                            "coords": [
                                44.4975,
                                11.3419
                            ]
                            },
                            {
                            "id": "2",
                            "name": "non conosciuto",
                            "note": "Si sta aprendo ed inizia a parlare",
                            "latitude": "44.4966",
                            "longitude": "11.3408",
                            "type": "marker",
                            "created": "2021-04-11 12:43:36",
                            "modified": "2021-04-15 14:27:45",
                            "coords": [
                                44.4966,
                                11.3408
                            ]
                            },
                            {
                            "id": "3",
                            "name": "Nico",
                            "note": "Parla male l'italiano, ha voglia di parlare",
                            "latitude": "44.4965",
                            "longitude": "11.3424",
                            "type": "marker",
                            "created": "2021-04-11 12:43:36",
                            "modified": "2021-04-15 14:27:45",
                            "coords": [
                                44.4965,
                                11.3424
                            ]
                            }
                        ]
                        };
        //const geolocation = require("nativescript-geolocation");
        //const { Accuracy } = require("tns-core-modules/ui/enums");
        vm = new Vue({
            el: '#app',
            data: {
                /* Data properties will go here */
                //filtra: '',
                //status: [],
                //key_id:'',
                status:'',
                status_delete:'',
                status_update:'',
                update:'false',
                is_deleted:'false',
                value_id:'',
              
                //features:[],
                map: null,
                tileLayer: null,
                marker: null,
                //latitude:'44.5256',
                //longitude:'11.4625',
                //latitude:'',
                //longitude:'',
                layers: [
                    {
                        id: 0,
                        name: 'Senza fissa dimora',
                        active: false,
                        features: [],
                    },
                    {
                        id: 1,
                        name: 'Zone di Bologna',
                        active: false,
                        features: [
                            {
                                id: 0,
                                name: 'zona indipendenza',
                                type: 'polygon',
                                coords: [
                                    [44.50215, 11.33996],
                                    [44.49996, 11.3441],
                                    [44.49486, 11.3426],
                                    [44.49546, 11.33899],
                                ],
                            }, {
                                id: 1,
                                name: 'zona piazza maggiore',
                                type: 'polygon',
                                coords: [
                                    [44.49486, 11.34119],
                                    [44.49438, 11.34382],
                                    [44.49311, 11.34388],
                                    [44.49374, 11.3406],
                                ],
                            },
                        ],
                    }],
            },
            mounted() {
                /* Code to run when app is mounted */
                //this.loadQuote();
                //this.initMap();
                //this.initLayers();
                //this.getDetails();
            },
            methods: {
                /* Any app-specific functions go here */

               //Get homeless position
               /* 
               _getMyLocation() {
            geolocation
                .getCurrentLocation({
                    desiredAccuracy: Accuracy.high,
                    maximumAge: 5000,
                    timeout: 20000
                })
                .then(res => {
                    this.lat = res.latitude;
                    this.lon = res.longitude;
                    this.speed = res.speed;
                    // get the address (REQUIRES YOUR OWN GOOGLE MAP API KEY!)
                    fetch(
                        "https://maps.googleapis.com/maps/api/geocode/json?latlng=" +
                            res.latitude +
                            "," +
                            res.longitude +
                            "&key=YOUR-API-KEY"
                    )
                        .then(response => response.json())
                        .then(r => {
                            this.addr = r.results[0].formatted_address;
                        });
                });
        }, */
                initMap() {
                            //this.map = L.map('map').setView([44.49579,11.33706], 10);
                            this.map = L.map('map').setView([this.status.latitude,this.status.longitude], 15);
                            this.tileLayer = L.tileLayer(
                                //'https://cartodb-basemaps-{s}.global.ssl.fastly.net/rastertiles/voyager/{z}/{x}/{y}.png',
                                'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
                                {
                                    maxZoom: 20,
                                    attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>, &copy; <a href="https://carto.com/attribution">CARTO</a>',
                                }
                            );
                            //this.marker =  L.marker([this.status.latitude,this.status.longitude]).addTo(this.map);
                            this.tileLayer.addTo(this.map);
                            console.log(this.status.latitude);
                            console.log(this.status.longitude);
                            this.marker =  L.marker([this.status.latitude,this.status.longitude]);
                            this.marker.addTo(this.map);   
                        },
                
                getDetails: function(){
                    var url = location.href;
                    //var url = "http://foo? k1=v1&k2=v2&k3=v3";
                    //var key_id = url.split("?")[1].split("&")[0].split("=")[0]; //solo chiave
                    var value_id = url.split("?")[1].split("&")[0].split("=")[1]; //solo valore
                    this.value_id = value_id;
                    console.log(value_id);
                    console.log(this.value_id);
                    this.loadQuote(value_id);
                }, 
                loadQuote: function (value_id) {
                    //this.status = ;
                    axios.get('./api/homeless/read_one.php', {
                        params: {id:value_id }
                    }).then((res) => {
                        this.status = res.data;
                    }).catch((res) => {
                        this.status = 'Hompless non trovato';
                    })
                },
                deleteDetails: function () {
                    //this.status = ;
                    var url = location.href;
                //var url = "http://foo? k1=v1&k2=v2&k3=v3";
                //var key_id = url.split("?")[1].split("&")[0].split("=")[0]; //solo chiave
                    var value_id = url.split("?")[1].split("&")[0].split("=")[1]; //solo valore
                    if(confirm("Sei sicuro di cancellare?")){
                    axios.get('./api/homeless/delete.php', {
                        params: {id:value_id }
                    }).then((res) => {
                        this.status_delete = res.data;
                        this.is_deleted = 'true';
                        //this.layers[0].features = res.data.records;
                        //this.initLayers();
                    }).catch((res) => {
                        this.status_delete = 'Errore';
                    })
                }
                },
                updateDetails() {
                    //var latitude = document.getElementById("latitude").value;
                    //var longitude = document.getElementById("longitude").value;
                    var url = location.href;
                    //var url = "http://foo? k1=v1&k2=v2&k3=v3";
                     //var key_id = url.split("?")[1].split("&")[0].split("=")[0]; //solo chiave
                    var value_id = url.split("?")[1].split("&")[0].split("=")[1]; //solo valore
                //console.log(value_id);
                //console.log(this.value_id);
                    //console.log(value_id);

                axios.post(`./api/homeless/update.php`, {
                    id: value_id,
                    name: this.status.name,
                    latitude: this.status.latitude,
                    longitude: this.status.longitude,
                    place: this.status.place,
                    need:this.status.need,
                    note: this.status.note,
                    type:'marker',
                })
                .then((response) => {
                    this.status_update= response.data.message;
                    console.log(this.status_update)
                })
                .catch(e => {
                    this.errors.push(e);
                    
                })
                },
                
            },
            created() {
                //this.loadDataTest();
                //this.loadQuote();
                //this.postPost()
                this.getDetails();
                //this.initMap();

            },

        });
      /* var  vm = new Vue({
              el: '#app',
              data: {
                  status:[],
                  filtra: 'Italia',
                  currentSort:'regione',
                  currentSortDir:'asc'
              },
              methods: {
                  loadQuote: function() {
                      //this.status = ;
                      axios.get('http://127.0.0.1/geomagazine/api/magazine/search.php' , {params: {s:this.filtra}
                          }).then((res) => {
                              this.status = res.data.records;
                          }).catch((res) => {
                              this.status = 'Magazine non trovato';
                          })
                  },
                  sort:function(s) {
                      //if s == current sort, reverse
                      if(s === this.currentSort) {
                      this.currentSortDir = this.currentSortDir==='asc'?'desc':'asc';
                      }
                      this.currentSort = s;
                  }
              },
  
              computed:{
                  sortedList:function() {
                      return this.status.sort((a,b) => {
                      let modifier = 1;
                      if(this.currentSortDir === 'desc') modifier = -1;
                      if(a[this.currentSort] < b[this.currentSort]) return -1 * modifier;
                      if(a[this.currentSort] > b[this.currentSort]) return 1 * modifier;
                      return 0;
                      });
                  }
                  },
              created: function(){
                  this.loadQuote()
                  this.sort()
              }
          }) */
    </script>
</body>

</html>

</body>

</html>